/* eslint-disable */
describe('Match exercise', function () {
    beforeEach(function () {
        var exercises = [5642, 5373, 3143, 3062];
        browser.get('/#!/questions/match/' + exercises[Math.floor(Math.random() * (exercises.length - 1))]);
    });
    it('Should test carousel functionality', function () {
        var questionsCarousel = element(by.css('[carousel-list="current.question.set_a"]'));
        var answersCarousel = element(by.css('[carousel-list="current.set_b_copy"]'));

        element.all(by.repeater('q in current.question.set_a')).count().then(function (count) {
            for (var i = 0; i < count; i++) {
                var rightArrow = questionsCarousel.element(by.css('.carousel-arrow-right'));
                element(by.id('actionButton')).click();

                expect(answersCarousel.isDisplayed()).toBe(false);

                rightArrow.isPresent().then(function (present) {
                    if (present) {
                        browser.actions().mouseMove(rightArrow).click().perform();
                        browser.sleep(500);
                    } else {
                        expect(element(by.id('actionButton')).getText()).toBe('Check all answers');
                    }
                });
            }
        });
    });

    it('Should test if the popup is shown', function () {
        var questionsCarousel = element(by.css('[carousel-list="current.question.set_a"]'));
        var answersCarousel = element(by.css('[carousel-list="current.set_b_copy"]'));

        element.all(by.repeater('q in current.question.set_a')).count().then(function (count) {
            for (var i = 0; i < count; i++) {
                var rightArrow = questionsCarousel.element(by.css('.carousel-arrow-right'));
                element(by.id('actionButton')).click();

                expect(answersCarousel.isDisplayed()).toBe(false);

                rightArrow.isPresent().then(function (present) {
                    if (present) {
                        browser.actions().mouseMove(rightArrow).click().perform();
                        browser.sleep(500);
                    } else {
                        expect(element(by.id('actionButton')).getText()).toBe('Check all answers');
                        element(by.id('actionButton')).click();
                        expect((element(by.id('popupMessage'))).isDisplayed()).toBeTruthy();
                    }
                });
            }
        });
    });

    /*it('Should test if the action button is going to next question after correct or incorrect answer', function () {
        element(by.id('actionButton')).click();
        browser.sleep(500);
        element(by.id('actionButton')).click();
        browser.sleep(500);
        element(by.id('actionButton')).click();
        browser.sleep(500);
        element(by.id('actionButton')).click();
        browser.sleep(500);

        var questionIndicator = element.all(by.repeater('page in pages track by page.number')).get(0);

        expect(questionIndicator.getAttribute('class')).not.toContain("active");
    });*/
});